import { jsx } from "react/jsx-runtime";
import { TokenEMP as TokenEMP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEMP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EMP", "data-name": "TokenEMP", ...props, children: /* @__PURE__ */ jsx(TokenEMP$1, { variant }) });
  }
);
TokenEMP.displayName = "TokenEMP";
Object.assign(TokenEMP, { isGdsIcon: true });
export {
  TokenEMP
};
